# NAME

Trf_MDStart - Interface to procedures for initialization of a MD context.

# SYNOPSIS

    #include <transform.h>

    void Trf_MDStart(void *context);

# PARAMETERS

void *context
  State to initialize.

# DESCRIPTION

A procedure of this type is called to initialize the structure containing the state of a special message digest algorithm. The memory block was allocated by the caller, with the size as specified in the 'Trf_MessageDigestDescription' structure of the algorithm.

# SEE ALSO

Trf_Init , Trf_SafeInit , Trf_IsInitialized , Trf_CreateOptions , Trf_DeleteOptions , Trf_CheckOptions , Trf_SetOption , Trf_SetObjOption , Trf_QueryOptions , Trf_SeekQueryOptions , Trf_WriteProc , Trf_CreateCtrlBlock , Trf_DeleteCtrlBlock , Trf_TransformCharacter , Trf_TransformBuffer , Trf_FlushTransformation , Trf_ClearCtrlBlock , Trf_QueryMaxRead , Trf_Register , Trf_ConverterOptions , Trf_MDUpdate , Trf_MDUpdateBuf , Trf_MDFinal , Trf_MDCheck , Trf_RegisterMessageDigest , Trf_LoadLibrary , Trf_XorBuffer , Trf_ShiftRegister , Trf_FlipRegisterShort , Trf_FlipRegisterLong , Trf_InitStubs